width=75;
depth=45;
height=8.4;
thickness=6;
cablethickness=4.3-1;
pegh=9.19-0.2;
pegw=9.38-0.2;
peglen=13+7;
peggap=2;
sheetthickness=1.6+0.5;

$fn=30;

module roundcube(x,y,z) {
    if (x>y) {
        d=y;
        translate([d/2,0,0]) {
          translate([0,d/2,0])
            cylinder(d=d, h=z);
          cube([x-d,y,z]);
          translate([x-d,d/2,0])
            cylinder(d=d, h=z);
        }
    } else {
        d=x;
        translate([0,d/2,0]) {
          translate([d/2,0,0])
            cylinder(d=d, h=z);
          cube([x,y-d,z]);
          translate([d/2,y-d,0])
            cylinder(d=d, h=z);
        }
    }
    
}


module ushape(depth=40, width=40, thickness=7, height=10) {

  translate([-depth/2,0,0]) {      

    difference() {
      cylinder(d=depth, h=height);
      translate([0,0,-1]) {
          cylinder(d=depth-2*thickness, h=height+2);
          translate([-depth,-depth/2,0])
              cube([depth, depth, height+2]);
      }
    }

    w=width-depth/2;

    translate([-w,-depth/2,0]) 
        roundcube(w+thickness/2, thickness, height);

    translate([-w,depth/2-thickness,0]) 
        roundcube(w+thickness/2, thickness, height);
  }
}

difference() {

    union() {

        w=width/2+2*cablethickness;
        dmin=depth-thickness-cablethickness;

        translate([w-cablethickness, (dmin)/2, 0])
            ushape(dmin, w, thickness, height);

        translate([-w+cablethickness, depth/2, 0])
        rotate([0,0,180])
            ushape(depth, w, thickness, height);

        translate([-pegw/2, -peglen, 0])
            roundcube(pegw,peglen+thickness,pegh);
    }

    translate([-peggap/2, -peglen+thickness/2, -1])
        roundcube(peggap, peglen+thickness/2+1, pegh+2);
}

l=peglen-thickness-sheetthickness;

a=atan((peggap/3)/l);
echo("Angle:", a);

translate([0,-(l+sheetthickness),0]) {
translate([pegw/2-peggap,0,0])
    rotate([0,0,-a])
        cube([peggap,l,pegh+0]);
translate([-pegw/2,0,0])
    rotate([0,0,a])
        cube([peggap,l,pegh+0]);
}

//roundcube(10,40,30);